import { expect, type Locator, type Page } from '@playwright/test';
import { InsuranceBasePage } from './InsuranceBasePage';

export class DuplicateCheckPage extends InsuranceBasePage {
    readonly page: Page;
    readonly newClaimButton: Locator;
    url = process.env['BASE_URL']! + '/FixMyGlass/DuplicateCheck.aspx';

    constructor(page: Page) {
        super(page);
        this.page = page;
        this.newClaimButton = page.locator('a').filter({ hasText: 'Start a new claim Start a new' });
        // this.validateURL(this.url);
    }

    async startNewClaim(){
        await this.newClaimButton.click();
        await this.page.waitForLoadState();
    }

}